#
# Conditional build:
%bcond_without	tests		# build without tests
%bcond_without	static_libs	# don't build static libraries

Summary:	Simple and powerful template language for C++
Name:		ctemplate
Version:	2.3
Release:	1
License:	BSD
Group:		Applications
Source0:	https://github.com/OlafvdSpek/ctemplate/archive/%{name}-%{version}.tar.gz
# Source0-md5:	3b91f3c1e7aa55cb4c2957acf77d6b9a
URL:		https://github.com/OlafvdSpek/ctemplate/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CTemplate is a simple and powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%package libs
Summary:	CTemplate library
Summary(pl.UTF-8):	Biblioteka CTemplate
Group:		Libraries

%description libs
This package contains CTemplate library.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę CTemplate.

%package doc
Summary:	CTemplate documentation
Summary(pl.UTF-8):	Dokumentacja CTemplate
Group:		Development/Libraries

%description doc
CTemplate documentation.

%description doc -l pl.UTF-8
Dokumentacja CTemplate.

%package devel
Summary:	Header files for CTemplate
Summary(pl.UTF-8):	Pliki nagłówkowe CTemplate
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for CTemplate.

%description devel -l pl.UTF-8
Pliki nagłówkowe CTemplate.

%package static
Summary:	Static CTemplate library
Summary(pl.UTF-8):	Statyczna biblioteka CTemplate
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static CTemplate library.

%description static -l pl.UTF-8
Statyczna biblioteka CTemplate.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
export PTHREAD_LIBS="-lpthread"
%configure \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules
%{__make}
%{?with_test:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/diff_tpl_auto_escape
%attr(755,root,root) %{_bindir}/make_tpl_varnames_h
%attr(755,root,root) %{_bindir}/template-converter

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libctemplate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libctemplate.so.3
%attr(755,root,root) %{_libdir}/libctemplate_nothreads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libctemplate_nothreads.so.3

%files devel
%defattr(644,root,root,755)
%{_libdir}/libctemplate.so
%{_libdir}/libctemplate_nothreads.so
%{_libdir}/libctemplate.la
%{_libdir}/libctemplate_nothreads.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_pkgconfigdir}/libctemplate.pc
%{_pkgconfigdir}/libctemplate_nothreads.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libctemplate.a
%{_libdir}/libctemplate_nothreads.a
%endif

%files doc
%defattr(644,root,root,755)
%doc %{_docdir}/*
%changelog
* Thu Oct 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ctemplate.git;a=log;h=master

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 56a3f03
- up to 2.3

* Wed May 13 2015 Elan Ruusamäe <glen@delfi.ee> abc72ad
- add static_libs bcond

* Wed May 13 2015 Elan Ruusamäe <glen@delfi.ee> 871249a
- up to 2.2, new SONAME; enable tests; verbose files

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 44aa913
- fixed linking with pthread
- auto*ize
- BR: autoconf, automake, libtool

* Sun May 16 2010 arvenil <arvenil@pld-linux.org> 85ecdbf
- up to 0.97

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> de6a923
- unify %attr() %ghost order

* Sat Sep 19 2009 arvenil <arvenil@pld-linux.org> 672ee0e
- up to 0.95

* Sun Feb 22 2009 arvenil <arvenil@pld-linux.org> ff8b03c
- up to 0.93

* Sun Dec 14 2008 arvenil <arvenil@pld-linux.org> b158902
- up to 0.92

* Sun Dec 07 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 40e180d
- don't own %{_docdir}
- release 2

* Sun Nov 09 2008 arvenil <arvenil@pld-linux.org> a4d83ee
- init

